jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dominique Pfister <dpfis...@adobe.com>
Subject [jr3 Microkernel] compiler settings in pom.xml
Date Mon, 30 Jan 2012 16:54:09 GMT
Hi,

Just stumbled across this compilation setting in microkernel's pom.xml:

             <plugin>
                 <artifactId>maven-compiler-plugin</artifactId>
                 <version>2.3.2</version>
                 <configuration>
                     <source>1.5</source>
                     <target>1.5</target>
                 </configuration>
             </plugin>

When actually _using_ a 1.5 jdk (on Mac OS X this can be done with the  
Java Preferences tool), the maven-compiler-plugin will report 12  
errors due to use of Java 1.6 methods.

So my question is: should we change this setting from 1.5 to 1.6  
(which I favor) or review our code?

Regards
Dominique

Mime
View raw message